FailedRequirement object

Version unstable

Requirements that must be met before an app can be installed.

Fields

  • action (NavigationItem)

    Action to be taken to resolve a failed requirement, including URL link.

  • message (String!)

    A concise set of copy strings to be displayed to merchants, to guide them in resolving problems your app encounters when trying to make use of their Shop and its resources.

Types that return FailedRequirement

Version 2021-10 (Release candidate)

Requirements that must be met before an app can be installed.

Fields

  • action (NavigationItem)

    Action to be taken to resolve a failed requirement, including URL link.

  • message (String!)

    A concise set of copy strings to be displayed to merchants, to guide them in resolving problems your app encounters when trying to make use of their Shop and its resources.

Types that return FailedRequirement

Version 2021-07 (Latest)

Requirements that must be met before an app can be installed.

Fields

  • action (NavigationItem)

    Action to be taken to resolve a failed requirement, including URL link.

  • message (String!)

    A concise set of copy strings to be displayed to merchants, to guide them in resolving problems your app encounters when trying to make use of their Shop and its resources.

Types that return FailedRequirement

Version 2021-04

Requirements that must be met before an app can be installed.

Fields

  • action (NavigationItem)

    Action to be taken to resolve a failed requirement, including URL link.

  • message (String!)

    A concise set of copy strings to be displayed to merchants, to guide them in resolving problems your app encounters when trying to make use of their Shop and its resources.

Types that return FailedRequirement

Version 2021-01

Requirements that must be met before an app can be installed.

On this page